
function onBegin()
	disableMovement()
	player.ForceCameraUpdate = true;
	player.DummyAutoAnimate = false
	player.Sprite:Play("roll")
    wait(0.05)
    player.Speed = vector2(-500, 0)
    wait(0.05)
    player.Speed = vector2(-500, 0)
    wait(0.05)
    player.Speed = vector2(-500, 0)
    wait(0.05)
    player.Speed = vector2(-350, 50)
    wait(0.05)
    player.Speed = vector2(-350, 50)
    wait(0.05)
    player.Speed = vector2(-350, 50)
    wait(0.05)
    
waitUntilOnGround()
    	playSound("event:/game/06_reflection/badeline_pull_impact")
	    player.Speed = vector2(-200, 00)
	wait(0.9)
	
	player.Sprite:Play("rollGetUp")
	wait(1)
end

function onEnd(room, wasSkipped)
	if wasSkipped then
        player.Sprite:Play("idle")
        instantTeleportTo(220, 210)
	    player.DummyAutoAnimate = true
	    player.ForceCameraUpdate = false;
	end

	player.Speed = vector2(0, 0);
	player.DummyAutoAnimate = true
	player.ForceCameraUpdate = false;
	enableMovement()
end

